com.google.gwt.resources.client

## Interface ResourcePrototype

All Known Subinterfaces:
  ButtonCellBase.DefaultAppearance.Style, CellBrowser.Style, CellList.Style, CellTable.BasicStyle, CellTable.Style, CellTree.BasicStyle, CellTree.Style, CommonResources.InlineBlockStyle, CssResource, CssResourceBase, CustomScrollPanel.Style, DataGrid.Style, DataResource, ExternalTextResource, GwtCreateResource<T>, ImageResource, NativeHorizontalScrollbar.Style, NativeHorizontalScrollbar.StyleTransparant, NativeVerticalScrollbar.Style, NativeVerticalScrollbar.StyleTransparant, NativeVerticalScrollbar.UiStyle, NotificationMole.Style, SimplePager.Style, TextResource

    public interface ResourcePrototype

The base interface all bundle resource types must extend.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getName()` Returns the name of the function within the ClientBundle used to create the ResourcePrototype.

### Method Detail

#### getName

    java.lang.String getName()

Returns the name of the function within the ClientBundle used to create the ResourcePrototype.

Returns:
  the name of the function within the ClientBundle used to create the ResourcePrototype